Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.compiler.utils
Class Binarify

    java.lang.Object
      edu.udo.cs.miningmart.compiler.utils.AttributeCreationTool
          edu.udo.cs.miningmart.compiler.utils.Binarify

    public class Binarify

extends AttributeCreationTool

Version:
  $Id: Binarify.java,v 1.4 2006/09/27 15:00:04 euler Exp $
Author:
  Martin Scholz

Field Summary

Fields inherited from class edu.udo.cs.miningmart.compiler.utils.AttributeCreationTool
`myCase, myChain, myDB, myIndexBA, myIndexColumn, myInputColumnset, myInputConcept, myOperator, myStep, numOfLoops`

Constructor Summary
`Binarify(Concept concept, BaseAttribute ba, Chain chain)` Private constructor.

Method Summary
`protected java.lang.String` | `getConceptualDatatypeNameOfNewAttributes()`
`protected int` | `getIdOfOperator()`
`protected java.lang.String` | `getNameOfNewStep()`
`protected java.lang.String` | `getNameOfOperator()`
`protected void` | `insertSpecificParameters(int loopNr, int parNr, java.lang.String targetValS)` Create specific parameters for the new Step for the given loop number, starting with the given parameter number.

Methods inherited from class edu.udo.cs.miningmart.compiler.utils.AttributeCreationTool
`createInputValueParameter, createLoopForBa, createOutputBAs, createParameterForNewStep, createStep, execute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Binarify

    public Binarify(Concept concept,
                    BaseAttribute ba,
                    Chain chain)
             throws M4Exception

  Private constructor.

  Parameters:
    `dbConfig` - the path to the `dbConfig` file.
    `conceptId` - the ID of the input concept to the new step
    `baId` - the ID of the target base attribute
    `chainId` - the ID of the chain the new step should belong to
  Throws:
    `M4Exception`

Method Detail

### insertSpecificParameters

    protected void insertSpecificParameters(int loopNr,
                                            int parNr,
                                            java.lang.String targetValS)
                                     throws M4Exception

  Description copied from class: `AttributeCreationTool`
  Create specific parameters for the new Step for the given loop number, starting with the given parameter number.

  Specified by:
    `insertSpecificParameters` in class `AttributeCreationTool`
  Parameters:
    `loopNr` - The loop number for which the specific parameters must be created
    `parNr` - The first parameter number to be used; increment it for each additional parameter
    `targetValS` - The value of the index attribute for the given loop
  Throws:
    `M4Exception`
  See Also:
    `miningmart.compiler.utils.AttributeCreationTool#insertSpecificParameters(int, int, String)`

### getIdOfOperator

    protected int getIdOfOperator()

  Specified by:
    `getIdOfOperator` in class `AttributeCreationTool`
  Returns:
    the M4 Id of the operator that the new step uses
  See Also:
    `miningmart.compiler.utils.AttributeCreationTool#getIdOfOperator()`

### getNameOfOperator

    protected java.lang.String getNameOfOperator()

  Specified by:
    `getNameOfOperator` in class `AttributeCreationTool`
  Returns:
    the Name of the operator that the new step uses
  See Also:
    `miningmart.compiler.utils.AttributeCreationTool#getNameOfOperator()`

### getNameOfNewStep

    protected java.lang.String getNameOfNewStep()

  Specified by:
    `getNameOfNewStep` in class `AttributeCreationTool`
  Returns:
    the name for the new Step; the Step number will be put before it
  See Also:
    `miningmart.compiler.utils.AttributeCreationTool#getNameOfNewStep()`

### getConceptualDatatypeNameOfNewAttributes

    protected java.lang.String getConceptualDatatypeNameOfNewAttributes()
                                                                 throws M4Exception

  Specified by:
    `getConceptualDatatypeNameOfNewAttributes` in class `AttributeCreationTool`
  Returns:
    the name of the conceptual datatype that the new attributes will be given
  Throws:
    `M4Exception`
  See Also:
    `miningmart.compiler.utils.AttributeCreationTool#getConceptualDatatypeNameOfNewAttributes()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005